'From Squeak3.4gamma of ''7 January 2003'' [latest update: #5168] on 27 January 2003 at 10:03:06 pm'!
"Change Set:		PostContextEnh-ajh
Date:			4 February 2003
Author:			Anthony Hannan

This restores some exceptions that were disabled in PreContextEnh-ajh.
This must be filed-in after ContextEnh-ajh"!


!String methodsFor: 'displaying' stamp: 'RAA 5/15/2000 11:00'!
displayProgressAt: aPoint from: minVal to: maxVal during: workBlock 
	"Display this string as a caption over a progress bar while workBlock is evaluated.

EXAMPLE (Select next 6 lines and Do It)
'Now here''s some Real Progress'
	displayProgressAt: Sensor cursorPoint
	from: 0 to: 10
	during: [:bar |
	1 to: 10 do: [:x | bar value: x.
			(Delay forMilliseconds: 500) wait]].

HOW IT WORKS (Try this in any other language :-)
Since your code (the last 2 lines in the above example) is in a block,
this method gets control to display its heading before, and clean up 
the screen after, its execution.
The key, though, is that the block is supplied with an argument,
named 'bar' in the example, which will update the bar image every 
it is sent the message value: x, where x is in the from:to: range.
"
	^ProgressInitiationException 
		display: self
		at: aPoint 
		from: minVal 
		to: maxVal 
		during: workBlock! !

RequestAlternateSyntaxSetting class removeSelector: #signal!
InMidstOfFileinNotification class removeSelector: #signal!

SystemOrganization addCategory: 'Compiler-Parse'!
SystemOrganization addCategory: 'Compiler-Nodes'!
SystemOrganization addCategory: 'Compiler-Translate'!
SystemOrganization addCategory: 'Compiler-Instructions'!
SystemOrganization addCategory: 'Compiler-Decompile'!
